libfile-changenotify-perl_0.31-1_all.deb


Advertisement

Description

libfile-changenotify-perl - module to monitor files for changes

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libfile-changenotify-perl_0.31-1_all.deb
Package name libfile-changenotify-perl
Package version 0.31
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl role::devel-lib role::program use::monitor works-with::file
Homepage https://metacpan.org/release/File-ChangeNotify
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 32.94 KB
Installed size 84.00 KB
File::ChangeNotify is a Perl module that provides a way to monitor files for
changes in an efficient and cross-platform manner. Developers can override
the default mechanism by subclassing the included File::ChangeNotify::Watcher
module, allowing for platform-specific optimizations.

Alternatives

Package Version Architecture Repository
libfile-changenotify-perl_0.31-1_all.deb 0.31 all Debian Main
libfile-changenotify-perl - - -

Requires

Name Value
libmodule-pluggable-perl -
libmoo-perl >= 1.006000
libnamespace-autoclean-perl -
libtype-tiny-perl -
perl << 5.17.9
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libfile-changenotify-perl_0.31-1_all.deb
Source Package libfile-changenotify-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfile-changenotify-perl deb package:
    # sudo apt-get install libfile-changenotify-perl

Files

Path
/usr/share/doc/libfile-changenotify-perl/CODE_OF_CONDUCT.md
/usr/share/doc/libfile-changenotify-perl/CONTRIBUTING.md
/usr/share/doc/libfile-changenotify-perl/changelog.Debian.gz
/usr/share/doc/libfile-changenotify-perl/changelog.gz
/usr/share/doc/libfile-changenotify-perl/copyright
/usr/share/man/man3/File::ChangeNotify.3pm.gz
/usr/share/man/man3/File::ChangeNotify::Event.3pm.gz
/usr/share/man/man3/File::ChangeNotify::Watcher.3pm.gz
/usr/share/man/man3/File::ChangeNotify::Watcher::Default.3pm.gz
/usr/share/man/man3/File::ChangeNotify::Watcher::Inotify.3pm.gz
/usr/share/perl5/File/ChangeNotify.pm
/usr/share/perl5/File/ChangeNotify/Event.pm
/usr/share/perl5/File/ChangeNotify/Watcher.pm
/usr/share/perl5/File/ChangeNotify/Watcher/Default.pm
/usr/share/perl5/File/ChangeNotify/Watcher/Inotify.pm

Changelog

2019-01-10 - Salvatore Bonaccorso <carnil@debian.org>
libfile-changenotify-perl (0.31-1) unstable; urgency=medium
* Import upstream version 0.31
* Declare compliance with Debian policy 4.3.0
* Update copyright years for upstream files
* Update copyright years for debian/* packaging files
* Add Build-Depends-Indep on libtest2-suite-perl
* Update Build-Depends-Indep for Test::More for at least 1.302015
2018-09-30 - gregor herrmann <gregoa@debian.org>
libfile-changenotify-perl (0.29-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
* Import upstream version 0.29
* Drop (Build-)Depends(-Indep) on libclass-load-perl
[ gregor herrmann ]
* Install upstream docs.
* Declare compliance with Debian Policy 4.2.1.
* Let cme fix an alternative versioned (build) dependency.
2018-02-12 - Salvatore Bonaccorso <carnil@debian.org>
libfile-changenotify-perl (0.28-1) unstable; urgency=medium
[ Alex Muntada ]
* Remove inactive pkg-perl members from Uploaders.
[ Damyan Ivanov ]
* declare conformance with Policy 4.1.3 (no changes needed)
[ Salvatore Bonaccorso ]
* Import upstream version 0.28
* Bump Debhelper compat level to 10
* Update copyright years for upstream files
* Update copyright years for debian/* packaging files
* Set Rules-Requires-Root to no
2017-08-03 - Salvatore Bonaccorso <carnil@debian.org>
libfile-changenotify-perl (0.27-1) unstable; urgency=medium
[ gregor herrmann ]
* Remove Jonathan Yu from Uploaders. Thanks for your work!
[ Salvatore Bonaccorso ]
* upstream/metadata: Update location for Repository(-Browse)
* Import upstream version 0.27
* Update copyright years for upstream files
* Update copyright years for debian/* packaging files
* Declare compliance with Debian policy 4.0.0
2016-05-30 - Salvatore Bonaccorso <carnil@debian.org>
libfile-changenotify-perl (0.26-1) unstable; urgency=medium
* Import upstream version 0.26
* Make (Build-)Depends(-Indep) on libmoo-perl versioned
2016-05-29 - Salvatore Bonaccorso <carnil@debian.org>
libfile-changenotify-perl (0.25-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
[ Salvatore Bonaccorso ]
* Add debian/upstream/metadata
* Import upstream version 0.25
* Update copyright years for upstream files
* Update copyright years for debian/* packaging files
* Drop Build-Depends on libmodule-build-perl
* Drop (Build-)Depends(-Indep) on libmoose-perl
* Drop (Build-)Depends(-Indep) on libmoosex-params-validate-perl
* Drop (Build-)Depends(-Indep) on libmoosex-semiaffordanceaccessor-perl
* Drop (Build-)Depends(-Indep) on liblist-moreutils-perl
* Add (Build-)Depends(-Indep) on libmoo-perl
* Add (Build-)Depends(-Indep) on libtype-tiny-perl
* Add Build-Depends-Indep on libtest-requires-perl
* Bump Debhelper compat level to 9
* Declare compliance with Debian policy 3.9.8
2015-05-31 - Salvatore Bonaccorso <carnil@debian.org>
libfile-changenotify-perl (0.24-2) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
* Unconditionally build depend on libmodule-build-perl
* Declare compliance with Debian policy 3.9.6
* Update copyright years for debian/* packaging files
* Don't install File::ChangeNotify::Watcher::KQueue module.
It needs IO::KQueue which is not packaged in Debian and is the perl
interface to the BSD kqueue system call.
* Mark package as autopkgtestable
* Don't install File::ChangeNotify::Watcher::KQueue manpage
2013-11-29 - Salvatore Bonaccorso <carnil@debian.org>
libfile-changenotify-perl (0.24-1) unstable; urgency=low
* Imported Upstream version 0.24
* Wrap and sort fields in debian/control file
* Bump Standards-Version to 3.9.5

See Also

Package Description
libfile-chdir-perl_0.1008-1_all.deb more sensible way to change directories
libfile-checktree-perl_4.42-1_all.deb module for running many filetest checks on a tree
libfile-chmod-perl_0.42-1_all.deb chmod() override with symbolic and ls-style modes
libfile-configdir-perl_0.021-1_all.deb get directories of configuration files
libfile-copy-link-perl_0.140-2_all.deb Perl extension for replacing a link by a copy of the linked file
libfile-copy-recursive-perl_0.44-1_all.deb Perl extension for recursively copying files and directories
libfile-copy-recursive-reduced-perl_0.006-1_all.deb module for recursive copying of files and directories
libfile-counterfile-perl_1.04-5_all.deb persistent counter class for Perl
libfile-countlines-perl_0.0.3-2_all.deb module for efficiently counting the number of lines in a file
libfile-data-perl_1.20-1_all.deb interface to file data
libfile-desktopentry-perl_0.22-1_all.deb Perl module to handle freedesktop .desktop files
libfile-dircompare-perl_0.7-2_all.deb Perl module to compare two directories
libfile-dropbox-perl_0.7-1_all.deb convenient and fast Dropbox API abstraction
libfile-extattr-perl_1.09-4+b6_i386.deb Perl interface to file system extended attributes
libfile-fcntllock-perl_0.22-3+b5_i386.deb Perl module for file locking with fcntl(2)
Advertisement
Advertisement